Loading...
Searching...
No Matches
Opm::data::AquiferData Struct Reference

## Public Member Functions

double | get (const std::string &key) const
bool | operator== (const AquiferData &other) const
template<class MessageBufferType>
void | write (MessageBufferType &buffer) const
template<class MessageBufferType>
void | read (MessageBufferType &buffer)
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static AquiferData | serializationTestObjectF ()
static AquiferData | serializationTestObjectC ()
static AquiferData | serializationTestObjectN ()

## Public Attributes

int | aquiferID = 0
double | pressure = 0.0
double | fluxRate = 0.0
double | volume = 0.0
double | initPressure = 0.0
double | datumDepth = 0.0
TypeSpecificData | typeData {}

The documentation for this struct was generated from the following files:

- opm/output/data/Aquifer.hpp
- opm/output/data/Aquifer.cpp